{% extends 'shared/_dashboard.html' %}
{% load static %}
{% load widget_tweaks %}

{% block styles %}
<style>
    .ticket-list {
        border: 1px solid #efefef;
        padding: 10px;
    }

    .ticket-list .ticket {
        border-bottom: 1px solid #efefef;
        margin-bottom: 10px;
    }
</style>
{% endblock %}

{% block body %}
<div class="container-fluid">
    <div class="row">
        <div class="col-12 chat-app">
            <div class="d-flex flex-row justify-content-between mb-3 chat-heading-container">
                <div class="d-flex flex-row chat-heading">
                    <a class="d-flex" href="#">
                        <img alt="Profile Picture" src="{% if user.profile.picture %}{{ user.profile.picture.url }}{% else %}https://via.placeholder.com/1000{% endif %}"
                            class="img-thumbnail border-0 rounded-circle ml-0 mr-4 list-thumbnail align-self-center small">
                    </a>
                    <div class=" d-flex min-width-zero">
                        <div
                            class="card-body pl-0 align-self-center d-flex flex-column flex-lg-row justify-content-between min-width-zero">
                            <div class="min-width-zero">
                                <a href="#">
                                    <p class="list-item-heading mb-1 truncate ">{{ ticket.raised_by.get_full_name }}</p>
                                </a>
                                <p class="mb-0 text-muted text-small">Last seen today [ {% now "jS F H:i" %} ]</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="separator mb-5"></div>

            <div class="scroll">
                <div class="scroll-content">
                    
                <div class="card d-inline-block mb-3 float-left mr-2">
                    <div class="position-absolute pt-1 pr-2 r-0">
                        <span class="text-extra-small text-muted">{{ ticket.created|date:"H:i" }}</span>
                    </div>
                    <div class="card-body">
                        <div class="d-flex flex-row pb-2">
                            <a class="d-flex" href="#">
                                <img alt="Profile Picture" src="{% if user.profile.picture %}{{ user.profile.picture.url }}{% else %}https://via.placeholder.com/1000{% endif %}"
                                    class="img-thumbnail border-0 rounded-circle mr-3 list-thumbnail align-self-center xsmall">
                            </a>
                            <div class=" d-flex flex-grow-1 min-width-zero">
                                <div
                                    class="m-2 pl-0 align-self-center d-flex flex-column flex-lg-row justify-content-between min-width-zero">
                                    <div class="min-width-zero">
                                        <p class="mb-0 truncate list-item-heading">{{ ticket.raised_by.get_full_name }}</p>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="chat-text-left">
                            <p class="mb-0 text-semi-muted">
                                {{ ticket.message }}
                            </p>
                        </div>
                    </div>
                </div>
                <div class="clearfix"></div>
                    {% for reply in ticket.replies.all %}
                        {% if forloop.first %}
                            <div class="card d-inline-block mb-3 {% if reply.staff_id.pk == ticket.raised_by.pk %} float-left {% else %} float-right {% endif %} mr-2">
                                <div class="position-absolute pt-1 pr-2 r-0">
                                    <span class="text-extra-small text-muted">{{ reply.created|date:"H:i" }}</span>
                                </div>
                                <div class="card-body">
                                    <div class="d-flex flex-row pb-2">
                                        <a class="d-flex" href="#">
                                            <img alt="Profile Picture" src="{% if user.profile.picture %}{{ user.profile.picture.url }}{% else %}https://via.placeholder.com/1000{% endif %}"
                                                class="img-thumbnail border-0 rounded-circle mr-3 list-thumbnail align-self-center xsmall">
                                        </a>
                                        <div class=" d-flex flex-grow-1 min-width-zero">
                                            <div
                                                class="m-2 pl-0 align-self-center d-flex flex-column flex-lg-row justify-content-between min-width-zero">
                                                <div class="min-width-zero">
                                                    <p class="mb-0 truncate list-item-heading">{{ reply.staff_id.get_full_name }}</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
        
                                    <div class="chat-text-left">
                                        <p class="mb-0 text-semi-muted">
                                            {{ reply.message }}
                                        </p>
                                    </div>
                                </div>
                            </div>
                        {% else %}
                            <div class="card d-inline-block mb-3 {% if reply.staff_id.pk == ticket.raised_by.pk %} float-left {% else %} float-right {% endif %} mr-2">
                                <div class="position-absolute pt-1 pr-2 r-0">
                                    <span class="text-extra-small text-muted">{{ reply.created|date:"H:i" }}</span>
                                </div>
                                <div class="card-body">
                                    <div class="d-flex flex-row pb-2">
                                        <a class="d-flex" href="#">
                                            <img alt="Profile Picture" src="{% if user.profile.picture %}{{ user.profile.picture.url }}{% else %}https://via.placeholder.com/1000{% endif %}"
                                                class="img-thumbnail border-0 rounded-circle mr-3 list-thumbnail align-self-center xsmall">
                                        </a>
                                        <div class=" d-flex flex-grow-1 min-width-zero">
                                            <div
                                                class="m-2 pl-0 align-self-center d-flex flex-column flex-lg-row justify-content-between min-width-zero">
                                                <div class="min-width-zero">
                                                    <p class="mb-0 truncate list-item-heading">{{ reply.raised_by.get_full_name }}</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
        
                                    <div class="chat-text-left">
                                        <p class="mb-0 text-semi-muted">
                                            {{ reply.message }}
                                        </p>
                                    </div>
                                </div>
                            </div>
                        {% endif %}
                        <div class="clearfix"></div>
                    {% endfor %}
                   
                </div>

            </div>
        </div>
    </div>
</div>

<form id="ticket-detail" action="{% url 'dashboard:ticket-detail' ticket.sku %}" method="post">
    <div class="chat-input-container d-flex justify-content-between align-items-center">
        {% csrf_token %}
        <input type="hidden" name="g-recaptcha-response" id='recaptcha' />
        <input class="form-control flex-grow-1" name="message" type="text" placeholder="Reply ticket" />
        <input name="ticket_id" value={{ ticket.pk }} class="invisible" />
        <input name="parent_id" value={{ ticket.pk }} class="invisible" />
        <input name="answer_status" value='a' class="invisible" />
        <input name="staff_id" value={{ request.user.pk }} class="invisible" />

        <div>
            <button type="submit" class="btn btn-primary icon-button large">
                <i class="iconsminds-pantone"></i>
            </button>
    
        </div>
    </div>
</form>


{% endblock %}

{% block scripts %}
<script src="https://www.google.com/recaptcha/api.js?render=6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A"></script>
<script>
    grecaptcha.ready(function() {
        $('#ticket-detail').submit(function(e){
            var form = this;
            e.preventDefault()
            grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                $('#recaptcha').val(token)
                form.submit()
            });
        })

    });
</script>
{% endblock %}